import { View } from '@tarojs/components'
import React, { useCallback, memo, useEffect, useMemo, useRef, useState, ReactNode } from 'react'
import styles from "./index.module.scss"
import classnames from "classnames";
import Taro, { usePullDownRefresh, useRouter, useDidShow } from '@tarojs/taro';
import { alert } from '@/common/common'
import { formatPriceDiv, formatDateTime, formatWeightDiv } from '@/common/format'
import IconFont from '@/components/iconfont/iconfont'
interface Props {
    obj: any
}

export default memo((props: Props) => {

    const handPhone = (e) => {
        e.stopPropagation()
        Taro.makePhoneCall({
            phoneNumber: props.obj?.phone
        })
    }

    const handNav = () => {
        Taro.navigateTo({
            url: '/pages/customerDetails/index?purchaser_id=' + props.obj?.id
        })
    }

    return (
        <View className={styles.mainItem} onClick={() => handNav()}>
            <View className={styles.itemTop}>
                <View className={styles.itemLeft}>
                    <View className={styles.itemCile}>{props.obj.name[0]}</View>
                    <View className={styles.item_top_one}>
                        <View className={styles.item_top_one_flex}>
                            <View className={styles.itemName}>{props.obj.name}</View>
                            <View className={styles.itemPhone}>{props.obj.phone}</View>
                        </View>
                        <View className={styles.item_tag_box}>
                            <View className={styles.item_tagItem}>二批</View>
                            <View className={styles.item_tagItem}>{props.obj.sale_user_name || '暂无'}</View>
                        </View>
                    </View>
                </View>
                <View className={styles.itemRight} onClick={(e) => handPhone(e)}>
                    <IconFont name={'icon-dianhua'} size={30} color={'#337FFF'}></IconFont>
                    <View className={styles.phoneFont}>联系TA</View>
                </View>
            </View>
            <View className={styles.line}></View>
            <View className={styles.flex_bottom}>
                <View className={styles.flex_left}>{props.obj.default_address.province_name + props.obj.default_address.city_name + props.obj.default_address.district_name || '暂无'}</View>
                <View className={styles.flex_right}>更新时间：{formatDateTime(props.obj.recent_order_time) || '暂无'}</View>
            </View>
        </View >
    )
})