import NormalButton from '@/components/normalButton'
import { View, Text } from '@tarojs/components'
import { memo } from 'react'
import styles from './index.module.scss'

type PropsType = {
  amount?: number
  onSettleAccount?: Function
}

export default props => {
  const { onSettleAccount, amount = 0 } = props
  console.log('amount==>', amount)

  const handleSettle = () => {
    onSettleAccount && onSettleAccount()
  }

  return (
    <View className={styles.bottomBar}>
      <View className={styles.bottomLeft}>
        <Text className={styles.moneyText}>预估金额：</Text>
        <Text className={styles.moneyNumber}>
          <Text className={styles.unit}>¥</Text>
          {amount.toFixed(2)}
        </Text>
      </View>
      <View className={styles.bottomRight}>
        <NormalButton type='primary' round size='normal' onClick={handleSettle} customStyles={{ padding: '0 80rpx' }}>
          <Text style={{ fontSize: '32rpx' }}>结算</Text>
        </NormalButton>
      </View>
    </View>
  )
}
